<?php
	class RegiaoController extends RegiaoModel {
		private $idPais;
		private $codigo;
		private $designacao;

		public function __construct($idPais, $codigo, $designacao){
			$this->idPais = $idPais;
			$this->codigo = $codigo;
			$this->designacao = $designacao;
		}

		public function createRegiao(){
			$result = $this->insertRegiao($this->idPais, $this->codigo, $this->designacao);
			return $result;
		}

		public function updateRegiao($idRegiao){
			$result = $this->editRegiao($idRegiao, $this->idPais, $this->codigo, $this->designacao);
			return $result;
		}

	}